Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.loader
Class AntClassLoader2

    java.lang.Object
      java.lang.ClassLoader
          org.apache.tools.ant.AntClassLoader
              org.apache.tools.ant.loader.AntClassLoader2

All Implemented Interfaces:
  java.util.EventListener, BuildListener, SubBuildListener

Deprecated. since 1.7 Just use `AntClassLoader` itself.

    public class AntClassLoader2

extends AntClassLoader

Constructor Summary
`AntClassLoader2()` Deprecated. No args constructor.

Method Summary

Methods inherited from class org.apache.tools.ant.AntClassLoader
`addJavaLibraries, addLoaderPackageRoot, addPathElement, addPathFile, addSystemPackageRoot, buildFinished, buildStarted, cleanup, defineClassFromData, definePackage, definePackage, findClass, findResources, forceLoadClass, forceLoadSystemClass, getClasspath, getResource, getResourceAsStream, getResourceURL, initializeClass, isInPath, loadClass, log, messageLogged, resetThreadContextLoader, setClassPath, setIsolated, setParent, setParentFirst, setProject, setThreadContextLoader, subBuildFinished, subBuildStarted, targetFinished, targetStarted, taskFinished, taskStarted, toString`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntClassLoader2

    public AntClassLoader2()

  Deprecated.
  No args constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD